Package org.apache.solr.client.solrj.impl

# Class LBSolrClient.Builder<C extends HttpSolrClientBase>

java.lang.Object
org.apache.solr.client.solrj.impl.LBSolrClient.Builder<C>

Enclosing class:
  `LBSolrClient`

public static class LBSolrClient.Builder<C extends HttpSolrClientBase> extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`defaultCollection`

## Constructor Summary

Constructors
Constructor
Description
`Builder(C solrClient, LBSolrClient.Endpoint... endpoints)`

## Method Summary

Modifier and Type
Method
Description
`LBSolrClient`
`build()`
`C`
`getSolrClient()`
`LBSolrClient.Builder<C>`
`setAliveCheckInterval(int aliveCheckInterval, TimeUnit unit)`
LBHttpSolrServer keeps pinging the dead servers at fixed interval to find if it is alive.
`LBSolrClient.Builder<C>`
`withDefaultCollection(String defaultCoreOrCollection)`
Sets a default for core or collection based requests.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### defaultCollection

protected String defaultCollection

## Constructor Details

### Builder

public Builder(C solrClient, LBSolrClient.Endpoint... endpoints)

## Method Details

### setAliveCheckInterval

public LBSolrClient.Builder<C> setAliveCheckInterval(int aliveCheckInterval, TimeUnit unit)
LBHttpSolrServer keeps pinging the dead servers at fixed interval to find if it is alive. Use this to set that interval

Parameters:
  `aliveCheckInterval` - how often to ping for aliveness

### withDefaultCollection

public LBSolrClient.Builder<C> withDefaultCollection(String defaultCoreOrCollection)
Sets a default for core or collection based requests.

### getSolrClient

public C getSolrClient()

### build

public LBSolrClient build()